Get server graphs
curl --request GET \
--url https://rdp.sh/api/v1/servers/{server}/graphs/{timeframe} \
--header 'Authorization: <api-key>'import requests
url = "https://rdp.sh/api/v1/servers/{server}/graphs/{timeframe}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rdp.sh/api/v1/servers/{server}/graphs/{timeframe}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"metrics": [
"<string>"
],
"timeframe": "<string>",
"data": "<array>"
}Servers
Get Server Graphs
Get server resource usage graphs (CPU, memory, network) for the specified timeframe.
GET
/
servers
/
{server}
/
graphs
/
{timeframe}
Get server graphs
Authorizations
Path Parameters
Time range for graph data
Available options:
hour, day, week, month Example:
"hour"
⌘I